Name:          ukui-clock
Version:       3.1.3
Release:       3
Summary:       contain clock alarm,stopwatch,countdown
License:       GPL-3.0+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.xz

Patch01:       0001-delete-Delete-unused-files.patch

BuildRequires: glib2-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtmultimedia-devel
BuildRequires: qt5-qttools-devel
BuildRequires: gsettings-qt-devel
BuildRequires: dconf-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: kylin-burner
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: pkgconf
BuildRequires: libXrandr-devel
BuildRequires: libXinerama-devel
BuildRequires: libXcursor-devel
BuildRequires: mpv-libs-devel
BuildRequires: ffmpeg-devel
BuildRequires: qt5-qtscript-devel
BuildRequires: ukui-interface 


%description
contain clock alarm,stopwatch,countdown

%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir build && cd build
%{qmake_qt5} ..
%{make_build}

%install
rm -rf $RPM_BUILD_ROOT 
cd %{_builddir}/%{name}-%{version}/build
%{make_install} INSTALL_ROOT=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_bindir}/ukui-clock
%{_datadir}/applications/ukui-clock.desktop
%{_datadir}/ukui-clock
%{_datadir}/kylin-user-guide/data/*

%changelog
* Thu Apr 18 2024 huayadong <huayadong@kylinos.cn> - 3.1.3-3
- Delete unused files

* Wed Feb 08 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.3-2
- add build debuginfo and debugsource

* Mon Dec 5 2022 peijiankang <peijiankang@kylinos.cn> - 3.1.3-1
- update version to 3.1.3

* Fri Oct 28 2022 lvfei <lvfei@kylinos.cn> - 3.0.1-3
- update license from https://gitee.com/openkylin/ukui-clock 

* Mon Aug 8 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.1-2
- modify the error version of ukui-clock

* Mon Aug 8 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.1-1
- Init package for openEuler
